Loading...
Searching...
No Matches
janus_streaming_session Struct Reference
Collaboration diagram for janus_streaming_session:
[legend]

## Data Fields

janus_plugin_session * | handle
janus_streaming_mountpoint * | mountpoint
gint64 | sdp_sessid
gint64 | sdp_version
volatile gint | started
volatile gint | paused
GList * | streams
GHashTable * | streams_byid
gboolean | e2ee
gboolean | playoutdelay_ext
janus_mutex | mutex
volatile gint | dataready
volatile gint | stopping
volatile gint | renegotiating
volatile gint | hangingup
volatile gint | destroyed
janus_refcount | ref

## Field Documentation

## dataready

volatile gint janus_streaming_session::dataready

## destroyed

volatile gint janus_streaming_session::destroyed

## e2ee

gboolean janus_streaming_session::e2ee

## handle

janus_plugin_session* janus_streaming_session::handle

## hangingup

volatile gint janus_streaming_session::hangingup

## mountpoint

janus_streaming_mountpoint* janus_streaming_session::mountpoint

## mutex

janus_mutex janus_streaming_session::mutex

## paused

volatile gint janus_streaming_session::paused

## playoutdelay_ext

gboolean janus_streaming_session::playoutdelay_ext

## ref

janus_refcount janus_streaming_session::ref

## renegotiating

volatile gint janus_streaming_session::renegotiating

## sdp_sessid

gint64 janus_streaming_session::sdp_sessid

## sdp_version

gint64 janus_streaming_session::sdp_version

## started

volatile gint janus_streaming_session::started

## stopping

volatile gint janus_streaming_session::stopping

## streams

GList* janus_streaming_session::streams

## streams_byid

GHashTable* janus_streaming_session::streams_byid

The documentation for this struct was generated from the following file:

- janus_streaming.c